---
title: "完成草稿单"
description: "使用指定草稿单的信息，生成一个订单。草稿单需要有必要的信息才可以用于生成订单。"
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/order/draft-order/complete-draft-order'
  md: 'https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/order/draft-order/complete-draft-order.md'
---
# 完成草稿单

使用指定草稿单的信息，生成一个订单。草稿单需要有必要的信息才可以用于生成订单。

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `write_draft_orders`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
PUT /orders/draft_orders/:id/complete.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` ：店铺的唯一标识符，值为店铺域名的前缀。例如，域名为 `open001.myshopline.com` 的店铺，其 `handle` 是 `open001` 。

## Required Permissions

* `write_draft_orders`

## Request

### Path Parameters

* `id`

  string (required)

  草稿单号

### Request Headers

* `Content-Type`

  string (required)

  字段值固定为 `application/json; charset=utf-8`。

* `Authorization`

  string (required)

  资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。

## Response

### Status Codes

* `200`

  更多状态码信息参考 [HTTP 状态码](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/http-status-code.md?lang=zh-hans-cn)。

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。

### Response Body

#### 200

* `draft_order`

  object

  草稿单

  * `stock_reserved_time`

    long

    订单维度库存预预留时间

  * `create_at`

    long

    创建时间，时间戳格式

  * `note_attributes`

    array<object>

    附加信息

    * `name`

      string

      名称

    * `value`

      string

      值

  * `po_number`

    string

    B2B场景在订单上记录的采购订单号

  * `subtotal_price`

    string

    订单金额，精度2的double类型的字符串，eg："12.41"

  * `tags`

    array<string>

    草稿单标签,多个标签间用逗号分隔，店铺维度最大支持99个标签

  * `billing_address`

    object

    账单地址信息

    * `last_name`

      string

      用户 姓

    * `address1`

      string

      详细地址信息1，用作补充信息

    * `company`

      string

      公司名称

    * `country_code`

      string

      国家或是地区编码，两位的编码缩写（ISO-3166-1）

    * `standard_province_code`

      string

      账单地址中省份的编码，该编码为二位的 [ISO 3166-2](https://www.iso.org/iso-3166-country-codes.html#2012_iso3166-2) 国际编码，区别于`province_code`返参为自定义编码。

    * `street_name`

      string

      街道名称

    * `zip`

      string

      收货地址邮政编号

    * `area`

      string

      行政区名称

    * `first_name`

      string

      用户 名

    * `province`

      string

      州或是省名称

    * `phone`

      string

      联系电话

    * `address2`

      string

      详细地址信息2，用作补充信息

    * `area_code`

      string

      行政区编码，自定义编号

    * `city_code`

      string

      城市编码，自定义编号

    * `country`

      string

      国家或是地区名称

    * `email`

      string

      用户邮箱

    * `province_code`

      string

      州或是省编码，自定义编号

    * `same_as_receiver`

      boolean

      是否与收货信息相同：true、false

    * `city`

      string

      城市名称

    * `street_number`

      string

      街道编码，自定义编号

  * `discount_amount_ext_name`

    string

    订单优惠名称

  * `invoice_url`

    string

    invoice链接

  * `shipping_address`

    object

    物流信息

    * `street_number`

      string

      街道编码，自定义编号

    * `address1`

      string

      详细地址信息1，用作补充信息

    * `delivery_store_code`

      string

      门店编码，自定义编号

    * `delivery_store_name`

      string

      门店名称

    * `province_code`

      string

      省份编码

    * `standard_province_code`

      string

      地址中省份的编码，该编码为二位的 [ISO 3166-2](https://www.iso.org/iso-3166-country-codes.html#2012_iso3166-2) 国际编码，区别于`province_code`返参为自定义编码。

    * `address2`

      string

      详细地址信息2，用作补充信息

    * `city_code`

      string

      城市编码，自定义编号

    * `district_code`

      string

      行政区编码，自定义编号

    * `zip`

      string

      收货地址邮政编号

    * `company`

      string

      公司名称

    * `country_code`

      string

      国家或是地区编码，两位的编码缩写（ISO-3166-1）

    * `last_name`

      string

      姓

    * `city`

      string

      城市名称

    * `country`

      string

      国家或是地区名称

    * `district`

      string

      行政区名称

    * `first_name`

      string

      名

    * `phone`

      string

      联系电话

    * `province`

      string

      省份

    * `street_name`

      string

      街道名称

  * `total_discounts`

    string

    总折扣金额，精度2的double类型的字符串，eg："12.41"

  * `total_line_items_price`

    string

    当前草稿单商品总金额

  * `currency`

    string

    店铺币种

  * `discount_amount_ext`

    string

    订单优惠金额，精度2的double类型的字符串，eg："12.41"

  * `payment_terms`

    object

    支付条款和付款信息

    * `payment_schedules`

      array<object>

      与付款条件相关联的一组时间表

      * `completed_at`

        string

        付款完成时间

      * `due_at`

        string

        预计付款时间

      * `issued_at`

        string

        付款条件启动的时间。当为FIXED时，为保存时间（若草稿单成单，则订单继承草稿单时间）
        ；当为FULFILLMENT/RECEIPT时，为条件生效时间；当为NET时，则为保存时间（若草稿单成单，则订单继承草稿单时间）

    * `payment_terms_type`

      string

      用于创建付款条件的付款条件模板类型：
      FIXED：商家指定日期
      FULFILLMENT：完成发货日期
      NET：固定条件日期
      RECEIPT：发送账单日期
      UNKNOWN：未知类型 

    * `updated_at`

      string

      更新时间

    * `due_in_days`

      integer

      当条款类型为NET时提供，多少天后未付款则到期

    * `pay_status`

      string

      支付单状态：未支付unpaid、已支付paid 草稿单生成订单后，该状态不会同步订单的支付状态

    * `payment_channel_name`

      string

      支付渠道名称

    * `payment_terms_name`

      string

      用于创建付款条件的付款条件模板的名称

    * `created_at`

      string

      创建时间

    * `id`

      string

      唯一识别该支付条款的id

    * `overdue`

      boolean

      支付条款是否超时：true/false

    * `pay_channel_id`

      string

      支付渠道ID

  * `stock_reserved`

    boolean

    订单维度库存预留标识：true、flase

  * `total_tax`

    string

    总税费，精度2的double类型的字符串，eg："12.41"

  * `update_at`

    long

    更新时间，时间戳格式

  * `company`

    object

    公司信息

    * `id`

      string

      公司id

    * `location_id`

      string

      地点id

    * `tax_registration_id`

      string

      税号

  * `customer`

    object

    买家信息

    * `first_name`

      string

      用户的名

    * `id`

      string

      用户id

    * `last_name`

      string

      用户的姓

    * `phone`

      string

      用户手机号

    * `area_code`

      string

      联系方式 区号

    * `email`

      string

      用户邮箱

  * `id`

    string

    草稿单号

  * `seller_id`

    string

    商户id

  * `tax_lines`

    array<object>

    税费信息

    * `price_set`

      object

      价格信息

      * `presentment_money`

        object

        买家侧金额

      * `shop_money`

        object

        卖家侧金额

    * `rate`

      double

      税率

    * `type`

      string

      类型

    * `name`

      string

      名字

    * `price`

      string

      金额

  * `discount_amount_ext_set`

    object

    订单优惠金额，多币种信息

    * `presentment_money`

      object

      买家侧金额信息

      * `amount`

        string

        金额

      * `currency_code`

        string

        币种

    * `shop_money`

      object

      卖家侧金额信息

      * `currency_code`

        string

        币种

      * `amount`

        string

        金额

  * `note`

    string

    草稿单备注

  * `shipping_lines`

    object

    物流信息

    * `delivery_id`

      string

      送货方式ID、运费模板ID

    * `express_type_source`

      string

      物流类型 system-系统物流；custom-自定义物流

    * `price`

      string

      物流运费，精度2的double类型的字符串

    * `price_set`

      object

      物流运费，多币种信息

      * `presentment_money`

        object

        买家侧金额信息

      * `shop_money`

        object

        卖家侧金额信息

    * `title`

      string

      运费模板名称

  * `total_line_items_price_set`

    object

    当前草稿单商品总金额，多币种信息

    * `presentment_money`

      object

      买家侧金额信息

      * `amount`

        string

        金额

      * `currency_code`

        string

        币种

    * `shop_money`

      object

      卖家侧金额信息

      * `amount`

        string

        金额

      * `currency_code`

        string

        币种

  * `line_items`

    array<object>

    商品信息列表

    * `gift_card`

      boolean

      是否为礼品卡商品：true、false

    * `image_url`

      string

      商品图片

    * `title`

      string

      商品标题

    * `variant_id`

      string

      商品sku序列号

    * `variant_title`

      string

      商sku标题

    * `id`

      string

      商品行id, 唯一确认一个商品行

    * `price`

      string

      商品参加自定义折扣后的金额

    * `price_set`

      object

      商品参加自定义折扣后的金额，多币种信息

      * `presentment_money`

        object

        买家侧金额信息

      * `shop_money`

        object

        卖家侧金额信息

    * `product_id`

      string

      商品spu序列号

    * `product_source`

      string

      商品来源 main_site主站商品、customize自定义商品

    * `quantity`

      integer

      商品数量

    * `requires_shipping`

      boolean

      是否需要实物运输发货：true、false

    * `tax_lines`

      array<object>

      税费

      * `name`

        string

        标题

      * `price`

        string

        税费(店铺币种金额)，精度2

      * `price_set`

        object

        税费多币种信息

      * `rate`

        double

        税率

      * `type`

        string

        类型

    * `applied_discount`

      object

      商品自定义折扣信息

      * `amount`

        string

        折扣金额，精度2的double类型的字符串，eg："12.41"

      * `amount_set`

        object

        折扣金额，多币种信息

      * `before_amount`

        string

        商品售价，精度2的double类型的字符串，eg："12.41"

      * `before_amount_set`

        object

        折扣前商品售价，多币种信息

      * `description`

        string

        折扣描述

      * `title`

        string

        折扣名称

      * `value`

        long

        折扣数额，折扣值，当折扣类型为DISCOUNT_AMOUNT_PERCENTAGE时，此值最大默认100，最小为0

      * `value_type`

        string

        折扣类型：fixed_amount（固定金额）、percentage（百分比）

  * `order_id`

    string

    由当前草稿单生成的订单单号

  * `status`

    string

    草稿单状态：open 、 complete

  * `total_duties_set`

    object

    总关税

    * `presentment_money`

      object

      买家侧金额信息

      * `amount`

        string

        金额

      * `currency_code`

        string

        币种

    * `shop_money`

      object

      卖家侧金额信息

      * `amount`

        string

        金额

      * `currency_code`

        string

        币种

  * `total_tax_set`

    object

    总税费，多币种信息

    * `presentment_money`

      object

      买家侧金额信息

      * `amount`

        string

        金额

      * `currency_code`

        string

        币种

    * `shop_money`

      object

      卖家侧金额信息

      * `currency_code`

        string

        币种

      * `amount`

        string

        金额


#### 401

* `errors`

  string

  错误描述。


#### 429

* `errors`

  string

  错误描述。


## OpenAPI Definition

```json
{
  "tags": [
    "完成草稿单"
  ],
  "description": "使用指定草稿单的信息，生成一个订单。草稿单需要有必要的信息才可以用于生成订单。",
  "externalDocs": {
    "description": "接口使用的权限点: `write_draft_orders` ，更多权限点使用信息，请参考:",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=zh-hans-cn",
    "errorTableDescription": "| Error Code | HTTP Status Code | Error Description |\n|------------|------------------|-------------------|\n| STORE_NOT_EXIST | 400 | The store does not exist. |\n| DRAFT_ORDER_COMPLETED | 422 | The draft order status is completed. Operations on this draft order are not permitted. |\n| DRAFT_ORDER_NOT_EXIST | 422 | The draft order does not exist. |\n| DRAFT_ORDER_RETRIEVAL_FAILED | 200 | Failed to retrieve the draft order. |\n| SUCCESS | 200 | request success |\n| SYSTEM_ERROR | 500 | system error |\n| PARAM_ILLEGAL | 422 | illegal param |\n| ILLEGAL_PARAMS | 422 | illegal param |\n"
  },
  "operationId": "KzkFjESc",
  "parameters": [
    {
      "name": "id",
      "in": "path",
      "description": "草稿单号",
      "required": true,
      "style": "simple",
      "schema": {
        "name": "id",
        "description": "草稿单号",
        "type": "string",
        "example": "2505751787769346133516"
      },
      "example": "2505751787769346133516"
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "字段值固定为 `application/json; charset=utf-8`。",
      "required": true,
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": "资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": "资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "responses": {
    "200": {
      "description": "更多状态码信息参考 [HTTP 状态码](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/http-status-code.md?lang=zh-hans-cn)。",
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "name": "body",
            "type": "object",
            "properties": {
              "draft_order": {
                "name": "draft_order",
                "description": "草稿单",
                "type": "object",
                "properties": {
                  "stock_reserved_time": {
                    "name": "stock_reserved_time",
                    "description": "订单维度库存预预留时间",
                    "type": "long",
                    "example": 1669280400000
                  },
                  "create_at": {
                    "name": "create_at",
                    "description": "创建时间，时间戳格式",
                    "type": "long",
                    "example": 1667638652832
                  },
                  "note_attributes": {
                    "name": "note_attributes",
                    "description": "附加信息",
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "name": {
                          "name": "name",
                          "description": "名称",
                          "type": "string",
                          "example": "xxxx"
                        },
                        "value": {
                          "name": "value",
                          "description": "值",
                          "type": "string",
                          "example": "2"
                        }
                      },
                      "example": {
                        "name": "xxxx",
                        "value": "2"
                      }
                    },
                    "example": [
                      {
                        "name": "xxxx",
                        "value": "2"
                      }
                    ]
                  },
                  "po_number": {
                    "name": "po_number",
                    "description": "B2B场景在订单上记录的采购订单号",
                    "type": "string"
                  },
                  "subtotal_price": {
                    "name": "subtotal_price",
                    "description": "订单金额，精度2的double类型的字符串，eg：\"12.41\"",
                    "type": "string",
                    "example": "12.41"
                  },
                  "tags": {
                    "name": "tags",
                    "description": "草稿单标签,多个标签间用逗号分隔，店铺维度最大支持99个标签",
                    "type": "array",
                    "items": {
                      "type": "string",
                      "example": "shine,bili"
                    },
                    "example": [
                      "shine,bili"
                    ]
                  },
                  "billing_address": {
                    "name": "billing_address",
                    "description": "账单地址信息",
                    "type": "object",
                    "properties": {
                      "last_name": {
                        "name": "last_name",
                        "description": "用户 姓",
                        "type": "string",
                        "example": "Washington"
                      },
                      "address1": {
                        "name": "address1",
                        "description": "详细地址信息1，用作补充信息",
                        "type": "string",
                        "example": "8899 Garfield Street"
                      },
                      "company": {
                        "name": "company",
                        "description": "公司名称",
                        "type": "string",
                        "example": "SHOPLINE"
                      },
                      "country_code": {
                        "name": "country_code",
                        "description": "国家或是地区编码，两位的编码缩写（ISO-3166-1）",
                        "type": "string",
                        "example": "US"
                      },
                      "standard_province_code": {
                        "name": "standard_province_code",
                        "description": "账单地址中省份的编码，该编码为二位的 [ISO 3166-2](https://www.iso.org/iso-3166-country-codes.html#2012_iso3166-2) 国际编码，区别于`province_code`返参为自定义编码。",
                        "type": "string"
                      },
                      "street_name": {
                        "name": "street_name",
                        "description": "街道名称",
                        "type": "string",
                        "example": "Street"
                      },
                      "zip": {
                        "name": "zip",
                        "description": "收货地址邮政编号",
                        "type": "string",
                        "example": "92503"
                      },
                      "area": {
                        "name": "area",
                        "description": "行政区名称",
                        "type": "string",
                        "example": "East town"
                      },
                      "first_name": {
                        "name": "first_name",
                        "description": "用户 名",
                        "type": "string",
                        "example": "Tom"
                      },
                      "province": {
                        "name": "province",
                        "description": "州或是省名称",
                        "type": "string",
                        "example": "加利福尼亚州"
                      },
                      "phone": {
                        "name": "phone",
                        "description": "联系电话",
                        "type": "string",
                        "example": "13100000000"
                      },
                      "address2": {
                        "name": "address2",
                        "description": "详细地址信息2，用作补充信息",
                        "type": "string",
                        "example": "Apartment 5"
                      },
                      "area_code": {
                        "name": "area_code",
                        "description": "行政区编码，自定义编号",
                        "type": "string",
                        "example": "4200006"
                      },
                      "city_code": {
                        "name": "city_code",
                        "description": "城市编码，自定义编号",
                        "type": "string",
                        "example": "4200006"
                      },
                      "country": {
                        "name": "country",
                        "description": "国家或是地区名称",
                        "type": "string",
                        "example": "美国"
                      },
                      "email": {
                        "name": "email",
                        "description": "用户邮箱",
                        "type": "string",
                        "example": "test@shoplineapp.com"
                      },
                      "province_code": {
                        "name": "province_code",
                        "description": "州或是省编码，自定义编号",
                        "type": "string",
                        "example": "4200006"
                      },
                      "same_as_receiver": {
                        "name": "same_as_receiver",
                        "description": "是否与收货信息相同：true、false",
                        "type": "boolean",
                        "example": true
                      },
                      "city": {
                        "name": "city",
                        "description": "城市名称",
                        "type": "string",
                        "example": "Riverside"
                      },
                      "street_number": {
                        "name": "street_number",
                        "description": "街道编码，自定义编号",
                        "type": "string",
                        "example": "4200006"
                      }
                    },
                    "example": {
                      "province": "加利福尼亚州",
                      "last_name": "Washington",
                      "standard_province_code": null,
                      "street_name": "Street",
                      "area": "East town",
                      "city_code": "4200006",
                      "country": "美国",
                      "country_code": "US",
                      "first_name": "Tom",
                      "street_number": "4200006",
                      "zip": "92503",
                      "company": "SHOPLINE",
                      "province_code": "4200006",
                      "same_as_receiver": true,
                      "address1": "8899 Garfield Street",
                      "address2": "Apartment 5",
                      "area_code": "4200006",
                      "city": "Riverside",
                      "email": "test@shoplineapp.com",
                      "phone": "13100000000"
                    }
                  },
                  "discount_amount_ext_name": {
                    "name": "discount_amount_ext_name",
                    "description": "订单优惠名称",
                    "type": "string",
                    "example": "Order Discount name"
                  },
                  "invoice_url": {
                    "name": "invoice_url",
                    "description": "invoice链接",
                    "type": "string",
                    "example": "https://xxxxx.myshopline.com/invoices/xxxx?secret=xxxx"
                  },
                  "shipping_address": {
                    "name": "shipping_address",
                    "description": "物流信息",
                    "type": "object",
                    "properties": {
                      "street_number": {
                        "name": "street_number",
                        "description": "街道编码，自定义编号",
                        "type": "string",
                        "example": "4200006"
                      },
                      "address1": {
                        "name": "address1",
                        "description": "详细地址信息1，用作补充信息",
                        "type": "string",
                        "example": "8899 Garfield Street"
                      },
                      "delivery_store_code": {
                        "name": "delivery_store_code",
                        "description": "门店编码，自定义编号",
                        "type": "string",
                        "example": "4200006"
                      },
                      "delivery_store_name": {
                        "name": "delivery_store_name",
                        "description": "门店名称",
                        "type": "string",
                        "example": "Store name"
                      },
                      "province_code": {
                        "name": "province_code",
                        "description": "省份编码",
                        "type": "string",
                        "example": "4200006"
                      },
                      "standard_province_code": {
                        "name": "standard_province_code",
                        "description": "地址中省份的编码，该编码为二位的 [ISO 3166-2](https://www.iso.org/iso-3166-country-codes.html#2012_iso3166-2) 国际编码，区别于`province_code`返参为自定义编码。",
                        "type": "string"
                      },
                      "address2": {
                        "name": "address2",
                        "description": "详细地址信息2，用作补充信息",
                        "type": "string",
                        "example": "Apartment 5"
                      },
                      "city_code": {
                        "name": "city_code",
                        "description": "城市编码，自定义编号",
                        "type": "string",
                        "example": "4200006"
                      },
                      "district_code": {
                        "name": "district_code",
                        "description": "行政区编码，自定义编号",
                        "type": "string",
                        "example": "4200006"
                      },
                      "zip": {
                        "name": "zip",
                        "description": "收货地址邮政编号",
                        "type": "string",
                        "example": "92503"
                      },
                      "company": {
                        "name": "company",
                        "description": "公司名称",
                        "type": "string",
                        "example": "Company Name"
                      },
                      "country_code": {
                        "name": "country_code",
                        "description": "国家或是地区编码，两位的编码缩写（ISO-3166-1）",
                        "type": "string",
                        "example": "US"
                      },
                      "last_name": {
                        "name": "last_name",
                        "description": "姓",
                        "type": "string",
                        "example": "Washington"
                      },
                      "city": {
                        "name": "city",
                        "description": "城市名称",
                        "type": "string",
                        "example": "Riverside"
                      },
                      "country": {
                        "name": "country",
                        "description": "国家或是地区名称",
                        "type": "string",
                        "example": "美国"
                      },
                      "district": {
                        "name": "district",
                        "description": "行政区名称",
                        "type": "string",
                        "example": "Administrative region name"
                      },
                      "first_name": {
                        "name": "first_name",
                        "description": "名",
                        "type": "string",
                        "example": "Tom"
                      },
                      "phone": {
                        "name": "phone",
                        "description": "联系电话",
                        "type": "string",
                        "example": "13100000000"
                      },
                      "province": {
                        "name": "province",
                        "description": "省份",
                        "type": "string",
                        "example": "California"
                      },
                      "street_name": {
                        "name": "street_name",
                        "description": "街道名称",
                        "type": "string",
                        "example": "Street"
                      }
                    },
                    "example": {
                      "city_code": "4200006",
                      "company": "Company Name",
                      "country_code": "US",
                      "delivery_store_name": "Store name",
                      "district_code": "4200006",
                      "street_name": "Street",
                      "country": "美国",
                      "delivery_store_code": "4200006",
                      "last_name": "Washington",
                      "province_code": "4200006",
                      "district": "Administrative region name",
                      "province": "California",
                      "city": "Riverside",
                      "first_name": "Tom",
                      "phone": "13100000000",
                      "standard_province_code": null,
                      "street_number": "4200006",
                      "zip": "92503",
                      "address1": "8899 Garfield Street",
                      "address2": "Apartment 5"
                    }
                  },
                  "total_discounts": {
                    "name": "total_discounts",
                    "description": "总折扣金额，精度2的double类型的字符串，eg：\"12.41\"",
                    "type": "string",
                    "example": "12.41 "
                  },
                  "total_line_items_price": {
                    "name": "total_line_items_price",
                    "description": "当前草稿单商品总金额",
                    "type": "string",
                    "example": "2.00"
                  },
                  "currency": {
                    "name": "currency",
                    "description": "店铺币种",
                    "type": "string",
                    "example": "USD"
                  },
                  "discount_amount_ext": {
                    "name": "discount_amount_ext",
                    "description": "订单优惠金额，精度2的double类型的字符串，eg：\"12.41\"",
                    "type": "string",
                    "example": "12.41"
                  },
                  "payment_terms": {
                    "name": "payment_terms",
                    "description": "支付条款和付款信息",
                    "type": "object",
                    "properties": {
                      "payment_schedules": {
                        "name": "payment_schedules",
                        "description": "与付款条件相关联的一组时间表",
                        "type": "array",
                        "items": {
                          "type": "object",
                          "properties": {
                            "completed_at": {
                              "name": "completed_at",
                              "description": "付款完成时间",
                              "type": "string",
                              "example": "2024-06-05 08:00:00"
                            },
                            "due_at": {
                              "name": "due_at",
                              "description": "预计付款时间",
                              "type": "string",
                              "example": "2024-06-05 08:00:00"
                            },
                            "issued_at": {
                              "name": "issued_at",
                              "description": "付款条件启动的时间。当为FIXED时，为保存时间（若草稿单成单，则订单继承草稿单时间）\n；当为FULFILLMENT/RECEIPT时，为条件生效时间；当为NET时，则为保存时间（若草稿单成单，则订单继承草稿单时间）",
                              "type": "string",
                              "example": "2024-06-05 08:00:00"
                            }
                          },
                          "example": {
                            "completed_at": "2024-06-05 08:00:00",
                            "due_at": "2024-06-05 08:00:00",
                            "issued_at": "2024-06-05 08:00:00"
                          }
                        },
                        "example": [
                          {
                            "completed_at": "2024-06-05 08:00:00",
                            "due_at": "2024-06-05 08:00:00",
                            "issued_at": "2024-06-05 08:00:00"
                          }
                        ]
                      },
                      "payment_terms_type": {
                        "name": "payment_terms_type",
                        "description": "用于创建付款条件的付款条件模板类型：\nFIXED：商家指定日期\nFULFILLMENT：完成发货日期\nNET：固定条件日期\nRECEIPT：发送账单日期\nUNKNOWN：未知类型 ",
                        "type": "string",
                        "example": "RECEIPT"
                      },
                      "updated_at": {
                        "name": "updated_at",
                        "description": "更新时间",
                        "type": "string",
                        "example": "2024-06-05 08:00:00"
                      },
                      "due_in_days": {
                        "name": "due_in_days",
                        "description": "当条款类型为NET时提供，多少天后未付款则到期",
                        "type": "integer",
                        "example": 2
                      },
                      "pay_status": {
                        "name": "pay_status",
                        "description": "支付单状态：未支付unpaid、已支付paid 草稿单生成订单后，该状态不会同步订单的支付状态",
                        "type": "string",
                        "example": "unpaid"
                      },
                      "payment_channel_name": {
                        "name": "payment_channel_name",
                        "description": "支付渠道名称",
                        "type": "string",
                        "example": "Custom payment --uploadfile"
                      },
                      "payment_terms_name": {
                        "name": "payment_terms_name",
                        "description": "用于创建付款条件的付款条件模板的名称",
                        "type": "string",
                        "example": "Due on receipt"
                      },
                      "created_at": {
                        "name": "created_at",
                        "description": "创建时间",
                        "type": "string",
                        "example": "2024-06-05 08:00:00"
                      },
                      "id": {
                        "name": "id",
                        "description": "唯一识别该支付条款的id",
                        "type": "string",
                        "example": "6497210673894431747"
                      },
                      "overdue": {
                        "name": "overdue",
                        "description": "支付条款是否超时：true/false",
                        "type": "boolean",
                        "example": true
                      },
                      "pay_channel_id": {
                        "name": "pay_channel_id",
                        "description": "支付渠道ID",
                        "type": "string",
                        "example": "5341701129888599091"
                      }
                    },
                    "example": {
                      "created_at": "2024-06-05 08:00:00",
                      "due_in_days": 2,
                      "id": "6497210673894431747",
                      "overdue": true,
                      "pay_status": "unpaid",
                      "payment_schedules": [
                        {
                          "completed_at": "2024-06-05 08:00:00",
                          "due_at": "2024-06-05 08:00:00",
                          "issued_at": "2024-06-05 08:00:00"
                        }
                      ],
                      "updated_at": "2024-06-05 08:00:00",
                      "pay_channel_id": "5341701129888599091",
                      "payment_channel_name": "Custom payment --uploadfile",
                      "payment_terms_name": "Due on receipt",
                      "payment_terms_type": "RECEIPT"
                    }
                  },
                  "stock_reserved": {
                    "name": "stock_reserved",
                    "description": "订单维度库存预留标识：true、flase",
                    "type": "boolean",
                    "example": true
                  },
                  "total_tax": {
                    "name": "total_tax",
                    "description": "总税费，精度2的double类型的字符串，eg：\"12.41\"",
                    "type": "string",
                    "example": "12.41 "
                  },
                  "update_at": {
                    "name": "update_at",
                    "description": "更新时间，时间戳格式",
                    "type": "long",
                    "example": 1667638652832
                  },
                  "company": {
                    "name": "company",
                    "description": "公司信息",
                    "type": "object",
                    "properties": {
                      "id": {
                        "name": "id",
                        "description": "公司id",
                        "type": "string",
                        "example": "1005619945158043247856"
                      },
                      "location_id": {
                        "name": "location_id",
                        "description": "地点id",
                        "type": "string",
                        "example": "3005619945158043247856"
                      },
                      "tax_registration_id": {
                        "name": "tax_registration_id",
                        "description": "税号",
                        "type": "string",
                        "example": "213213"
                      }
                    },
                    "example": {
                      "id": "1005619945158043247856",
                      "location_id": "3005619945158043247856",
                      "tax_registration_id": "213213"
                    }
                  },
                  "customer": {
                    "name": "customer",
                    "description": "买家信息",
                    "type": "object",
                    "properties": {
                      "first_name": {
                        "name": "first_name",
                        "description": "用户的名",
                        "type": "string",
                        "example": "Xiaoliu"
                      },
                      "id": {
                        "name": "id",
                        "description": "用户id",
                        "type": "string",
                        "example": "2200000611"
                      },
                      "last_name": {
                        "name": "last_name",
                        "description": "用户的姓",
                        "type": "string",
                        "example": "Wang"
                      },
                      "phone": {
                        "name": "phone",
                        "description": "用户手机号",
                        "type": "string",
                        "example": "1888888888888"
                      },
                      "area_code": {
                        "name": "area_code",
                        "description": "联系方式 区号",
                        "type": "string",
                        "example": "0000"
                      },
                      "email": {
                        "name": "email",
                        "description": "用户邮箱",
                        "type": "string",
                        "example": "xxx@gmail.com"
                      }
                    },
                    "example": {
                      "last_name": "Wang",
                      "phone": "1888888888888",
                      "area_code": "0000",
                      "email": "xxx@gmail.com",
                      "first_name": "Xiaoliu",
                      "id": "2200000611"
                    }
                  },
                  "id": {
                    "name": "id",
                    "description": "草稿单号",
                    "type": "string",
                    "example": "2505659131831930856670"
                  },
                  "seller_id": {
                    "name": "seller_id",
                    "description": "商户id",
                    "type": "string",
                    "example": "160123123"
                  },
                  "tax_lines": {
                    "name": "tax_lines",
                    "description": "税费信息",
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "price_set": {
                          "name": "price_set",
                          "description": "价格信息",
                          "type": "object",
                          "properties": {
                            "presentment_money": {
                              "name": "presentment_money",
                              "description": "买家侧金额",
                              "type": "object",
                              "properties": {
                                "amount": {
                                  "name": "amount",
                                  "description": "金额",
                                  "type": "string",
                                  "example": "8.00"
                                },
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "币种",
                                  "type": "string",
                                  "example": "USD"
                                }
                              },
                              "example": {
                                "amount": "8.00",
                                "currency_code": "USD"
                              }
                            },
                            "shop_money": {
                              "name": "shop_money",
                              "description": "卖家侧金额",
                              "type": "object",
                              "properties": {
                                "amount": {
                                  "name": "amount",
                                  "description": "金额",
                                  "type": "string",
                                  "example": "8.00"
                                },
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "币种",
                                  "type": "string",
                                  "example": "USD"
                                }
                              },
                              "example": {
                                "amount": "8.00",
                                "currency_code": "USD"
                              }
                            }
                          },
                          "example": {
                            "presentment_money": {
                              "amount": "8.00",
                              "currency_code": "USD"
                            },
                            "shop_money": {
                              "amount": "8.00",
                              "currency_code": "USD"
                            }
                          }
                        },
                        "rate": {
                          "name": "rate",
                          "description": "税率",
                          "type": "double",
                          "example": 1
                        },
                        "type": {
                          "name": "type",
                          "description": "类型",
                          "type": "string",
                          "example": "shipping_tax"
                        },
                        "name": {
                          "name": "name",
                          "description": "名字",
                          "type": "string",
                          "example": "TAX"
                        },
                        "price": {
                          "name": "price",
                          "description": "金额",
                          "type": "string",
                          "example": "8.00"
                        }
                      },
                      "example": {
                        "name": "TAX",
                        "price": "8.00",
                        "price_set": {
                          "presentment_money": {
                            "amount": "8.00",
                            "currency_code": "USD"
                          },
                          "shop_money": {
                            "amount": "8.00",
                            "currency_code": "USD"
                          }
                        },
                        "rate": 1,
                        "type": "shipping_tax"
                      }
                    },
                    "example": [
                      {
                        "name": "TAX",
                        "price": "8.00",
                        "price_set": {
                          "presentment_money": {
                            "amount": "8.00",
                            "currency_code": "USD"
                          },
                          "shop_money": {
                            "amount": "8.00",
                            "currency_code": "USD"
                          }
                        },
                        "rate": 1,
                        "type": "shipping_tax"
                      }
                    ]
                  },
                  "discount_amount_ext_set": {
                    "name": "discount_amount_ext_set",
                    "description": "订单优惠金额，多币种信息",
                    "type": "object",
                    "properties": {
                      "presentment_money": {
                        "name": "presentment_money",
                        "description": "买家侧金额信息",
                        "type": "object",
                        "properties": {
                          "amount": {
                            "name": "amount",
                            "description": "金额",
                            "type": "string",
                            "example": "8.00"
                          },
                          "currency_code": {
                            "name": "currency_code",
                            "description": "币种",
                            "type": "string",
                            "example": "USD"
                          }
                        },
                        "example": {
                          "amount": "8.00",
                          "currency_code": "USD"
                        }
                      },
                      "shop_money": {
                        "name": "shop_money",
                        "description": "卖家侧金额信息",
                        "type": "object",
                        "properties": {
                          "currency_code": {
                            "name": "currency_code",
                            "description": "币种",
                            "type": "string",
                            "example": "USD"
                          },
                          "amount": {
                            "name": "amount",
                            "description": "金额",
                            "type": "string",
                            "example": "8.00"
                          }
                        },
                        "example": {
                          "currency_code": "USD",
                          "amount": "8.00"
                        }
                      }
                    },
                    "example": {
                      "presentment_money": {
                        "amount": "8.00",
                        "currency_code": "USD"
                      },
                      "shop_money": {
                        "amount": "8.00",
                        "currency_code": "USD"
                      }
                    }
                  },
                  "note": {
                    "name": "note",
                    "description": "草稿单备注",
                    "type": "string",
                    "example": "客户想要尽快发货"
                  },
                  "shipping_lines": {
                    "name": "shipping_lines",
                    "description": "物流信息",
                    "type": "object",
                    "properties": {
                      "delivery_id": {
                        "name": "delivery_id",
                        "description": "送货方式ID、运费模板ID",
                        "type": "string",
                        "example": "109012039908"
                      },
                      "express_type_source": {
                        "name": "express_type_source",
                        "description": "物流类型 system-系统物流；custom-自定义物流",
                        "type": "string",
                        "example": "system"
                      },
                      "price": {
                        "name": "price",
                        "description": "物流运费，精度2的double类型的字符串",
                        "type": "string",
                        "example": "12.41"
                      },
                      "price_set": {
                        "name": "price_set",
                        "description": "物流运费，多币种信息",
                        "type": "object",
                        "properties": {
                          "presentment_money": {
                            "name": "presentment_money",
                            "description": "买家侧金额信息",
                            "type": "object",
                            "properties": {
                              "amount": {
                                "name": "amount",
                                "description": "金额",
                                "type": "string",
                                "example": "8.00"
                              },
                              "currency_code": {
                                "name": "currency_code",
                                "description": "币种",
                                "type": "string",
                                "example": "USD"
                              }
                            },
                            "example": {
                              "amount": "8.00",
                              "currency_code": "USD"
                            }
                          },
                          "shop_money": {
                            "name": "shop_money",
                            "description": "卖家侧金额信息",
                            "type": "object",
                            "properties": {
                              "amount": {
                                "name": "amount",
                                "description": "金额",
                                "type": "string",
                                "example": "8.00"
                              },
                              "currency_code": {
                                "name": "currency_code",
                                "description": "币种",
                                "type": "string",
                                "example": "USD"
                              }
                            },
                            "example": {
                              "amount": "8.00",
                              "currency_code": "USD"
                            }
                          }
                        },
                        "example": {
                          "presentment_money": {
                            "currency_code": "USD",
                            "amount": "8.00"
                          },
                          "shop_money": {
                            "amount": "8.00",
                            "currency_code": "USD"
                          }
                        }
                      },
                      "title": {
                        "name": "title",
                        "description": "运费模板名称",
                        "type": "string",
                        "example": "Shipping template name"
                      }
                    },
                    "example": {
                      "delivery_id": "109012039908",
                      "express_type_source": "system",
                      "price": "12.41",
                      "price_set": {
                        "presentment_money": {
                          "amount": "8.00",
                          "currency_code": "USD"
                        },
                        "shop_money": {
                          "amount": "8.00",
                          "currency_code": "USD"
                        }
                      },
                      "title": "Shipping template name"
                    }
                  },
                  "total_line_items_price_set": {
                    "name": "total_line_items_price_set",
                    "description": "当前草稿单商品总金额，多币种信息",
                    "type": "object",
                    "properties": {
                      "presentment_money": {
                        "name": "presentment_money",
                        "description": "买家侧金额信息",
                        "type": "object",
                        "properties": {
                          "amount": {
                            "name": "amount",
                            "description": "金额",
                            "type": "string",
                            "example": "8.88"
                          },
                          "currency_code": {
                            "name": "currency_code",
                            "description": "币种",
                            "type": "string",
                            "example": "USD"
                          }
                        },
                        "example": {
                          "amount": "8.88",
                          "currency_code": "USD"
                        }
                      },
                      "shop_money": {
                        "name": "shop_money",
                        "description": "卖家侧金额信息",
                        "type": "object",
                        "properties": {
                          "amount": {
                            "name": "amount",
                            "description": "金额",
                            "type": "string",
                            "example": "8.88"
                          },
                          "currency_code": {
                            "name": "currency_code",
                            "description": "币种",
                            "type": "string",
                            "example": "USD"
                          }
                        },
                        "example": {
                          "amount": "8.88",
                          "currency_code": "USD"
                        }
                      }
                    },
                    "example": {
                      "presentment_money": {
                        "currency_code": "USD",
                        "amount": "8.88"
                      },
                      "shop_money": {
                        "amount": "8.88",
                        "currency_code": "USD"
                      }
                    }
                  },
                  "line_items": {
                    "name": "line_items",
                    "description": "商品信息列表",
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "gift_card": {
                          "name": "gift_card",
                          "description": "是否为礼品卡商品：true、false",
                          "type": "boolean",
                          "example": true
                        },
                        "image_url": {
                          "name": "image_url",
                          "description": "商品图片",
                          "type": "string",
                          "example": "http://www.abc.com/123"
                        },
                        "title": {
                          "name": "title",
                          "description": "商品标题",
                          "type": "string",
                          "example": "Product title"
                        },
                        "variant_id": {
                          "name": "variant_id",
                          "description": "商品sku序列号",
                          "type": "string",
                          "example": "18056577393793239655103258"
                        },
                        "variant_title": {
                          "name": "variant_title",
                          "description": "商sku标题",
                          "type": "string",
                          "example": "Commercial sku title"
                        },
                        "id": {
                          "name": "id",
                          "description": "商品行id, 唯一确认一个商品行",
                          "type": "string",
                          "example": "123123"
                        },
                        "price": {
                          "name": "price",
                          "description": "商品参加自定义折扣后的金额",
                          "type": "string",
                          "example": "2.00"
                        },
                        "price_set": {
                          "name": "price_set",
                          "description": "商品参加自定义折扣后的金额，多币种信息",
                          "type": "object",
                          "properties": {
                            "presentment_money": {
                              "name": "presentment_money",
                              "description": "买家侧金额信息",
                              "type": "object",
                              "properties": {
                                "amount": {
                                  "name": "amount",
                                  "description": "金额",
                                  "type": "string",
                                  "example": "8.00"
                                },
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "币种",
                                  "type": "string",
                                  "example": "USD"
                                }
                              },
                              "example": {
                                "currency_code": "USD",
                                "amount": "8.00"
                              }
                            },
                            "shop_money": {
                              "name": "shop_money",
                              "description": "卖家侧金额信息",
                              "type": "object",
                              "properties": {
                                "amount": {
                                  "name": "amount",
                                  "description": "金额",
                                  "type": "string",
                                  "example": "8.00"
                                },
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "币种",
                                  "type": "string",
                                  "example": "USD"
                                }
                              },
                              "example": {
                                "amount": "8.00",
                                "currency_code": "USD"
                              }
                            }
                          },
                          "example": {
                            "shop_money": {
                              "amount": "8.00",
                              "currency_code": "USD"
                            },
                            "presentment_money": {
                              "amount": "8.00",
                              "currency_code": "USD"
                            }
                          }
                        },
                        "product_id": {
                          "name": "product_id",
                          "description": "商品spu序列号",
                          "type": "string",
                          "example": "16056577393789045351043258"
                        },
                        "product_source": {
                          "name": "product_source",
                          "description": "商品来源 main_site主站商品、customize自定义商品",
                          "type": "string",
                          "example": "main_site"
                        },
                        "quantity": {
                          "name": "quantity",
                          "description": "商品数量",
                          "type": "integer",
                          "example": 1
                        },
                        "requires_shipping": {
                          "name": "requires_shipping",
                          "description": "是否需要实物运输发货：true、false",
                          "type": "boolean",
                          "example": true
                        },
                        "tax_lines": {
                          "name": "tax_lines",
                          "description": "税费",
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "name": {
                                "name": "name",
                                "description": "标题",
                                "type": "string",
                                "example": "tax"
                              },
                              "price": {
                                "name": "price",
                                "description": "税费(店铺币种金额)，精度2",
                                "type": "string",
                                "example": "8.00"
                              },
                              "price_set": {
                                "name": "price_set",
                                "description": "税费多币种信息",
                                "type": "object",
                                "properties": {
                                  "presentment_money": {
                                    "name": "presentment_money",
                                    "description": "买家侧金额",
                                    "type": "object",
                                    "properties": {
                                      "amount": {
                                        "name": "amount",
                                        "description": "金额",
                                        "type": "string",
                                        "example": "8.00"
                                      },
                                      "currency_code": {
                                        "name": "currency_code",
                                        "description": "币种",
                                        "type": "string",
                                        "example": "USD"
                                      }
                                    },
                                    "example": {
                                      "currency_code": "USD",
                                      "amount": "8.00"
                                    }
                                  },
                                  "shop_money": {
                                    "name": "shop_money",
                                    "description": "卖家侧金额",
                                    "type": "object",
                                    "properties": {
                                      "amount": {
                                        "name": "amount",
                                        "description": "金额",
                                        "type": "string",
                                        "example": "8.00"
                                      },
                                      "currency_code": {
                                        "name": "currency_code",
                                        "description": "币种",
                                        "type": "string",
                                        "example": "USD"
                                      }
                                    },
                                    "example": {
                                      "amount": "8.00",
                                      "currency_code": "USD"
                                    }
                                  }
                                },
                                "example": {
                                  "presentment_money": {
                                    "amount": "8.00",
                                    "currency_code": "USD"
                                  },
                                  "shop_money": {
                                    "amount": "8.00",
                                    "currency_code": "USD"
                                  }
                                }
                              },
                              "rate": {
                                "name": "rate",
                                "description": "税率",
                                "type": "double",
                                "example": 1
                              },
                              "type": {
                                "name": "type",
                                "description": "类型",
                                "type": "string",
                                "example": "shipping_tax"
                              }
                            },
                            "example": {
                              "name": "tax",
                              "price": "8.00",
                              "price_set": {
                                "presentment_money": {
                                  "amount": "8.00",
                                  "currency_code": "USD"
                                },
                                "shop_money": {
                                  "amount": "8.00",
                                  "currency_code": "USD"
                                }
                              },
                              "rate": 1,
                              "type": "shipping_tax"
                            }
                          },
                          "example": [
                            {
                              "name": "tax",
                              "price": "8.00",
                              "price_set": {
                                "presentment_money": {
                                  "amount": "8.00",
                                  "currency_code": "USD"
                                },
                                "shop_money": {
                                  "amount": "8.00",
                                  "currency_code": "USD"
                                }
                              },
                              "rate": 1,
                              "type": "shipping_tax"
                            }
                          ]
                        },
                        "applied_discount": {
                          "name": "applied_discount",
                          "description": "商品自定义折扣信息",
                          "type": "object",
                          "properties": {
                            "amount": {
                              "name": "amount",
                              "description": "折扣金额，精度2的double类型的字符串，eg：\"12.41\"",
                              "type": "string",
                              "example": "1.00"
                            },
                            "amount_set": {
                              "name": "amount_set",
                              "description": "折扣金额，多币种信息",
                              "type": "object",
                              "properties": {
                                "presentment_money": {
                                  "name": "presentment_money",
                                  "description": "买家侧金额信息",
                                  "type": "object",
                                  "properties": {
                                    "amount": {
                                      "name": "amount",
                                      "description": "金额",
                                      "type": "string",
                                      "example": "8.00"
                                    },
                                    "currency_code": {
                                      "name": "currency_code",
                                      "description": "币种",
                                      "type": "string",
                                      "example": "USD"
                                    }
                                  },
                                  "example": {
                                    "amount": "8.00",
                                    "currency_code": "USD"
                                  }
                                },
                                "shop_money": {
                                  "name": "shop_money",
                                  "description": "卖家侧金额信息",
                                  "type": "object",
                                  "properties": {
                                    "amount": {
                                      "name": "amount",
                                      "description": "金额",
                                      "type": "string",
                                      "example": "8.00"
                                    },
                                    "currency_code": {
                                      "name": "currency_code",
                                      "description": "币种",
                                      "type": "string",
                                      "example": "USD"
                                    }
                                  },
                                  "example": {
                                    "amount": "8.00",
                                    "currency_code": "USD"
                                  }
                                }
                              },
                              "example": {
                                "presentment_money": {
                                  "currency_code": "USD",
                                  "amount": "8.00"
                                },
                                "shop_money": {
                                  "currency_code": "USD",
                                  "amount": "8.00"
                                }
                              }
                            },
                            "before_amount": {
                              "name": "before_amount",
                              "description": "商品售价，精度2的double类型的字符串，eg：\"12.41\"",
                              "type": "string",
                              "example": "3.00"
                            },
                            "before_amount_set": {
                              "name": "before_amount_set",
                              "description": "折扣前商品售价，多币种信息",
                              "type": "object",
                              "properties": {
                                "presentment_money": {
                                  "name": "presentment_money",
                                  "description": "买家侧金额信息",
                                  "type": "object",
                                  "properties": {
                                    "currency_code": {
                                      "name": "currency_code",
                                      "description": "币种",
                                      "type": "string",
                                      "example": "USD"
                                    },
                                    "amount": {
                                      "name": "amount",
                                      "description": "金额",
                                      "type": "string",
                                      "example": "8.00"
                                    }
                                  },
                                  "example": {
                                    "amount": "8.00",
                                    "currency_code": "USD"
                                  }
                                },
                                "shop_money": {
                                  "name": "shop_money",
                                  "description": "卖家侧金额信息",
                                  "type": "object",
                                  "properties": {
                                    "amount": {
                                      "name": "amount",
                                      "description": "金额",
                                      "type": "string",
                                      "example": "8.00"
                                    },
                                    "currency_code": {
                                      "name": "currency_code",
                                      "description": "币种",
                                      "type": "string",
                                      "example": "USD"
                                    }
                                  },
                                  "example": {
                                    "amount": "8.00",
                                    "currency_code": "USD"
                                  }
                                }
                              },
                              "example": {
                                "presentment_money": {
                                  "amount": "8.00",
                                  "currency_code": "USD"
                                },
                                "shop_money": {
                                  "amount": "8.00",
                                  "currency_code": "USD"
                                }
                              }
                            },
                            "description": {
                              "name": "description",
                              "description": "折扣描述",
                              "type": "string",
                              "example": "满两件减5元"
                            },
                            "title": {
                              "name": "title",
                              "description": "折扣名称",
                              "type": "string",
                              "example": "满减"
                            },
                            "value": {
                              "name": "value",
                              "description": "折扣数额，折扣值，当折扣类型为DISCOUNT_AMOUNT_PERCENTAGE时，此值最大默认100，最小为0",
                              "type": "long",
                              "example": 1
                            },
                            "value_type": {
                              "name": "value_type",
                              "description": "折扣类型：fixed_amount（固定金额）、percentage（百分比）",
                              "type": "string",
                              "example": "fixed_amount"
                            }
                          },
                          "example": {
                            "amount": "1.00",
                            "amount_set": {
                              "presentment_money": {
                                "amount": "8.00",
                                "currency_code": "USD"
                              },
                              "shop_money": {
                                "amount": "8.00",
                                "currency_code": "USD"
                              }
                            },
                            "before_amount": "3.00",
                            "before_amount_set": {
                              "presentment_money": {
                                "amount": "8.00",
                                "currency_code": "USD"
                              },
                              "shop_money": {
                                "amount": "8.00",
                                "currency_code": "USD"
                              }
                            },
                            "description": "满两件减5元",
                            "title": "满减",
                            "value": 1,
                            "value_type": "fixed_amount"
                          }
                        }
                      },
                      "example": {
                        "product_id": "16056577393789045351043258",
                        "product_source": "main_site",
                        "requires_shipping": true,
                        "applied_discount": {
                          "before_amount": "3.00",
                          "before_amount_set": {
                            "presentment_money": {
                              "amount": "8.00",
                              "currency_code": "USD"
                            },
                            "shop_money": {
                              "amount": "8.00",
                              "currency_code": "USD"
                            }
                          },
                          "description": "满两件减5元",
                          "title": "满减",
                          "value": 1,
                          "value_type": "fixed_amount",
                          "amount": "1.00",
                          "amount_set": {
                            "presentment_money": {
                              "amount": "8.00",
                              "currency_code": "USD"
                            },
                            "shop_money": {
                              "amount": "8.00",
                              "currency_code": "USD"
                            }
                          }
                        },
                        "gift_card": true,
                        "image_url": "http://www.abc.com/123",
                        "quantity": 1,
                        "tax_lines": [
                          {
                            "name": "tax",
                            "price": "8.00",
                            "price_set": {
                              "presentment_money": {
                                "currency_code": "USD",
                                "amount": "8.00"
                              },
                              "shop_money": {
                                "amount": "8.00",
                                "currency_code": "USD"
                              }
                            },
                            "rate": 1,
                            "type": "shipping_tax"
                          }
                        ],
                        "title": "Product title",
                        "variant_id": "18056577393793239655103258",
                        "variant_title": "Commercial sku title",
                        "id": "123123",
                        "price": "2.00",
                        "price_set": {
                          "presentment_money": {
                            "amount": "8.00",
                            "currency_code": "USD"
                          },
                          "shop_money": {
                            "amount": "8.00",
                            "currency_code": "USD"
                          }
                        }
                      }
                    },
                    "example": [
                      {
                        "variant_title": "Commercial sku title",
                        "applied_discount": {
                          "amount": "1.00",
                          "amount_set": {
                            "presentment_money": {
                              "currency_code": "USD",
                              "amount": "8.00"
                            },
                            "shop_money": {
                              "amount": "8.00",
                              "currency_code": "USD"
                            }
                          },
                          "before_amount": "3.00",
                          "before_amount_set": {
                            "presentment_money": {
                              "amount": "8.00",
                              "currency_code": "USD"
                            },
                            "shop_money": {
                              "amount": "8.00",
                              "currency_code": "USD"
                            }
                          },
                          "description": "满两件减5元",
                          "title": "满减",
                          "value": 1,
                          "value_type": "fixed_amount"
                        },
                        "gift_card": true,
                        "image_url": "http://www.abc.com/123",
                        "price": "2.00",
                        "product_id": "16056577393789045351043258",
                        "quantity": 1,
                        "title": "Product title",
                        "variant_id": "18056577393793239655103258",
                        "id": "123123",
                        "price_set": {
                          "presentment_money": {
                            "currency_code": "USD",
                            "amount": "8.00"
                          },
                          "shop_money": {
                            "currency_code": "USD",
                            "amount": "8.00"
                          }
                        },
                        "product_source": "main_site",
                        "requires_shipping": true,
                        "tax_lines": [
                          {
                            "name": "tax",
                            "price": "8.00",
                            "price_set": {
                              "presentment_money": {
                                "amount": "8.00",
                                "currency_code": "USD"
                              },
                              "shop_money": {
                                "currency_code": "USD",
                                "amount": "8.00"
                              }
                            },
                            "rate": 1,
                            "type": "shipping_tax"
                          }
                        ]
                      }
                    ]
                  },
                  "order_id": {
                    "name": "order_id",
                    "description": "由当前草稿单生成的订单单号",
                    "type": "string",
                    "example": "21056577640603870897253153"
                  },
                  "status": {
                    "name": "status",
                    "description": "草稿单状态：open 、 complete",
                    "type": "string",
                    "example": "open"
                  },
                  "total_duties_set": {
                    "name": "total_duties_set",
                    "description": "总关税",
                    "type": "object",
                    "properties": {
                      "presentment_money": {
                        "name": "presentment_money",
                        "description": "买家侧金额信息",
                        "type": "object",
                        "properties": {
                          "amount": {
                            "name": "amount",
                            "description": "金额",
                            "type": "string",
                            "example": "8.88"
                          },
                          "currency_code": {
                            "name": "currency_code",
                            "description": "币种",
                            "type": "string",
                            "example": "USD"
                          }
                        },
                        "example": {
                          "amount": "8.88",
                          "currency_code": "USD"
                        }
                      },
                      "shop_money": {
                        "name": "shop_money",
                        "description": "卖家侧金额信息",
                        "type": "object",
                        "properties": {
                          "amount": {
                            "name": "amount",
                            "description": "金额",
                            "type": "string",
                            "example": "8.88"
                          },
                          "currency_code": {
                            "name": "currency_code",
                            "description": "币种",
                            "type": "string",
                            "example": "USD"
                          }
                        },
                        "example": {
                          "amount": "8.88",
                          "currency_code": "USD"
                        }
                      }
                    },
                    "example": {
                      "presentment_money": {
                        "amount": "8.88",
                        "currency_code": "USD"
                      },
                      "shop_money": {
                        "amount": "8.88",
                        "currency_code": "USD"
                      }
                    }
                  },
                  "total_tax_set": {
                    "name": "total_tax_set",
                    "description": "总税费，多币种信息",
                    "type": "object",
                    "properties": {
                      "presentment_money": {
                        "name": "presentment_money",
                        "description": "买家侧金额信息",
                        "type": "object",
                        "properties": {
                          "amount": {
                            "name": "amount",
                            "description": "金额",
                            "type": "string",
                            "example": "8.88"
                          },
                          "currency_code": {
                            "name": "currency_code",
                            "description": "币种",
                            "type": "string",
                            "example": "USD"
                          }
                        },
                        "example": {
                          "amount": "8.88",
                          "currency_code": "USD"
                        }
                      },
                      "shop_money": {
                        "name": "shop_money",
                        "description": "卖家侧金额信息",
                        "type": "object",
                        "properties": {
                          "currency_code": {
                            "name": "currency_code",
                            "description": "币种",
                            "type": "string",
                            "example": "USD"
                          },
                          "amount": {
                            "name": "amount",
                            "description": "金额",
                            "type": "string",
                            "example": "8.88"
                          }
                        },
                        "example": {
                          "amount": "8.88",
                          "currency_code": "USD"
                        }
                      }
                    },
                    "example": {
                      "presentment_money": {
                        "amount": "8.88",
                        "currency_code": "USD"
                      },
                      "shop_money": {
                        "amount": "8.88",
                        "currency_code": "USD"
                      }
                    }
                  }
                },
                "example": {
                  "total_duties_set": {
                    "presentment_money": {
                      "amount": "8.88",
                      "currency_code": "USD"
                    },
                    "shop_money": {
                      "amount": "8.88",
                      "currency_code": "USD"
                    }
                  },
                  "order_id": "21056577640603870897253153",
                  "seller_id": "160123123",
                  "shipping_address": {
                    "standard_province_code": null,
                    "street_name": "Street",
                    "zip": "92503",
                    "phone": "13100000000",
                    "city": "Riverside",
                    "company": "Company Name",
                    "country_code": "US",
                    "delivery_store_name": "Store name",
                    "street_number": "4200006",
                    "last_name": "Washington",
                    "address1": "8899 Garfield Street",
                    "address2": "Apartment 5",
                    "country": "美国",
                    "delivery_store_code": "4200006",
                    "district": "Administrative region name",
                    "district_code": "4200006",
                    "first_name": "Tom",
                    "city_code": "4200006",
                    "province": "California",
                    "province_code": "4200006"
                  },
                  "total_line_items_price_set": {
                    "presentment_money": {
                      "currency_code": "USD",
                      "amount": "8.88"
                    },
                    "shop_money": {
                      "amount": "8.88",
                      "currency_code": "USD"
                    }
                  },
                  "line_items": [
                    {
                      "title": "Product title",
                      "image_url": "http://www.abc.com/123",
                      "price": "2.00",
                      "price_set": {
                        "shop_money": {
                          "currency_code": "USD",
                          "amount": "8.00"
                        },
                        "presentment_money": {
                          "amount": "8.00",
                          "currency_code": "USD"
                        }
                      },
                      "requires_shipping": true,
                      "tax_lines": [
                        {
                          "name": "tax",
                          "price": "8.00",
                          "price_set": {
                            "presentment_money": {
                              "amount": "8.00",
                              "currency_code": "USD"
                            },
                            "shop_money": {
                              "currency_code": "USD",
                              "amount": "8.00"
                            }
                          },
                          "rate": 1,
                          "type": "shipping_tax"
                        }
                      ],
                      "variant_id": "18056577393793239655103258",
                      "variant_title": "Commercial sku title",
                      "applied_discount": {
                        "value": 1,
                        "value_type": "fixed_amount",
                        "amount": "1.00",
                        "amount_set": {
                          "presentment_money": {
                            "amount": "8.00",
                            "currency_code": "USD"
                          },
                          "shop_money": {
                            "amount": "8.00",
                            "currency_code": "USD"
                          }
                        },
                        "before_amount": "3.00",
                        "before_amount_set": {
                          "presentment_money": {
                            "amount": "8.00",
                            "currency_code": "USD"
                          },
                          "shop_money": {
                            "amount": "8.00",
                            "currency_code": "USD"
                          }
                        },
                        "description": "满两件减5元",
                        "title": "满减"
                      },
                      "gift_card": true,
                      "id": "123123",
                      "product_id": "16056577393789045351043258",
                      "product_source": "main_site",
                      "quantity": 1
                    }
                  ],
                  "discount_amount_ext_set": {
                    "presentment_money": {
                      "amount": "8.00",
                      "currency_code": "USD"
                    },
                    "shop_money": {
                      "amount": "8.00",
                      "currency_code": "USD"
                    }
                  },
                  "id": "2505659131831930856670",
                  "invoice_url": "https://xxxxx.myshopline.com/invoices/xxxx?secret=xxxx",
                  "shipping_lines": {
                    "price_set": {
                      "presentment_money": {
                        "amount": "8.00",
                        "currency_code": "USD"
                      },
                      "shop_money": {
                        "amount": "8.00",
                        "currency_code": "USD"
                      }
                    },
                    "title": "Shipping template name",
                    "delivery_id": "109012039908",
                    "express_type_source": "system",
                    "price": "12.41"
                  },
                  "stock_reserved": true,
                  "total_tax": "12.41 ",
                  "billing_address": {
                    "city_code": "4200006",
                    "country": "美国",
                    "street_name": "Street",
                    "province": "加利福尼亚州",
                    "same_as_receiver": true,
                    "standard_province_code": null,
                    "street_number": "4200006",
                    "zip": "92503",
                    "first_name": "Tom",
                    "address1": "8899 Garfield Street",
                    "address2": "Apartment 5",
                    "area": "East town",
                    "area_code": "4200006",
                    "email": "test@shoplineapp.com",
                    "company": "SHOPLINE",
                    "country_code": "US",
                    "last_name": "Washington",
                    "province_code": "4200006",
                    "phone": "13100000000",
                    "city": "Riverside"
                  },
                  "company": {
                    "id": "1005619945158043247856",
                    "location_id": "3005619945158043247856",
                    "tax_registration_id": "213213"
                  },
                  "customer": {
                    "first_name": "Xiaoliu",
                    "id": "2200000611",
                    "last_name": "Wang",
                    "phone": "1888888888888",
                    "area_code": "0000",
                    "email": "xxx@gmail.com"
                  },
                  "po_number": null,
                  "tags": [
                    "shine,bili"
                  ],
                  "tax_lines": [
                    {
                      "name": "TAX",
                      "price": "8.00",
                      "price_set": {
                        "presentment_money": {
                          "amount": "8.00",
                          "currency_code": "USD"
                        },
                        "shop_money": {
                          "amount": "8.00",
                          "currency_code": "USD"
                        }
                      },
                      "rate": 1,
                      "type": "shipping_tax"
                    }
                  ],
                  "currency": "USD",
                  "note": "客户想要尽快发货",
                  "status": "open",
                  "discount_amount_ext_name": "Order Discount name",
                  "note_attributes": [
                    {
                      "name": "xxxx",
                      "value": "2"
                    }
                  ],
                  "payment_terms": {
                    "due_in_days": 2,
                    "id": "6497210673894431747",
                    "payment_channel_name": "Custom payment --uploadfile",
                    "created_at": "2024-06-05 08:00:00",
                    "overdue": true,
                    "pay_channel_id": "5341701129888599091",
                    "pay_status": "unpaid",
                    "payment_schedules": [
                      {
                        "completed_at": "2024-06-05 08:00:00",
                        "due_at": "2024-06-05 08:00:00",
                        "issued_at": "2024-06-05 08:00:00"
                      }
                    ],
                    "payment_terms_name": "Due on receipt",
                    "payment_terms_type": "RECEIPT",
                    "updated_at": "2024-06-05 08:00:00"
                  },
                  "stock_reserved_time": 1669280400000,
                  "total_discounts": "12.41 ",
                  "total_tax_set": {
                    "presentment_money": {
                      "amount": "8.88",
                      "currency_code": "USD"
                    },
[...]
